using TestingModule.ViewModels;
using System.Reflection;
using TestingModule.Views;
using TestingModule.Views.Dialogs;

namespace TestingModule
{
    public class TestingModule : IModule
    {
        public void OnInitialized(IContainerProvider containerProvider)
        {
            IRegionManager regionManager = containerProvider.Resolve<IRegionManager>();
        }

        public void RegisterTypes(IContainerRegistry containerRegistry)
        {
            containerRegistry.RegisterForNavigation<CommandTree>("CommandTree");
            containerRegistry.RegisterForNavigation<LogArea>("LogArea");
            containerRegistry.RegisterForNavigation<SingleStepEdit>("SingleStepEdit");
            containerRegistry.RegisterForNavigation<StepsManager>("StepsManager");
            containerRegistry.RegisterForNavigation<ParametersManager>("ParametersManager");
            containerRegistry.RegisterDialog<ParameterSetting>("ParameterSetting");
        }
    }
}
